Delete API version

DELETE https://{controlplane_path}/api/1/rest/public/apim/{path_to_apiversion}      

This API soft deletes the API version. It is recoverable from recycle bin as it is a soft delete.

Note: As an Org admin, you can use the Recycle Bin to recover or permanently remove deleted endpoint accounts, files, pipelines, tasks, project spaces, and projects. Deleted items can be recovered in 30 days unless you delete them permanently. Learn More about Recycle Bin.

Prerequisites

  • Environment (Org) admin permissions

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
path_to_apiversion Required. The path to the SnapLogic API version.

Format: /org_name/apim/api/apiversion

Important: The path is case sensitive

Query parameters

Key Type Description
force boolean
  • If the flag is set as true and API version is unpublished/retired, that API version is deleted and sent to recycle bin
  • If the flag is set as true and the API version is published, the API version is not deleted and not sent to recycle bin.
  • If the flag is set as true and API version is deprecated, the API version is not deleted and not sent to recycle bin

Request header

In the request header, specify Basic for authorization, add your credentials (Login and password of your SnapLogic user or service account), and specify application/json for content type. For more details on accounts refer to Manage accounts.


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of Basic authentication using Postman

When using JWT authentication, the API requests includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT token.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authenthication using Postman

Request body

None.

Response

{
    "response_map": {
        "success": {
            "success": {
                "disabled_jobs": [
                    {
                        "/Automation2/apim/api/1.0": []
                    },
                    {
                        "/Automation2/apim/api/1.1": []
                    }
                ],
                "deleted_plexes": [plex1,plex2],
                "path": "/Automation2/apim/api"
            }
        }
    },
    "http_status_code": 200
}
Key Type Description
disabled_jobs array Paths to the disabled tasks in the API version.
deleted_plexes array Paths to the disabled plexes.
path array All the assets in the API version.

Error handling

HTTP status codes Message Resolution
404 {"message": "The requested resource at the supplied path does not exist: /org_name/apim/api_version"}
  • Check if the API version exists.
  • Check if you have entered the correct Org name.
400 {"message":"Published/Deprecated API Versions cannot be deleted, Unpublish/Retire the api first to remove."} Unpublish or deprecate the API version to delete it.